Subject: bug#67312: dejagnu creates testrun.{sum,log}

From: Tom Tromey <[email-masked]>
Date: Mon, 20 Nov 2023 16:12:35 -0700

I've noticed that if I run 'runtest' in the wrong directory -- for
example in the source directory rather than the appropriate build
directory -- dejagnu will create files testrun.log and testrun.sum.

In this case these files are not actually useful.

And, runtest already emits some warnings about this:

prentzel. runtest 
WARNING: testsuite is not in a testsuite/ directory.
WARNING: Couldn't find the global config file.
WARNING: No tool specified

I think it would be nicer if, when dejagnu notices that the environment
is unsuitable (like, no tool specified), then it should just print
errors and exit -- without creating these files.

thanks
Tom